@use "../../../styles/colors-fonts" as cf;

.footer {
  background-color: cf.$primary-dark;
  padding: 3.2rem 8rem;
}

.footer-wrapper {
  color: cf.$primary-light;
  display: grid;
  grid-template-columns: 1fr auto;
  row-gap: 1.2rem;
}

.icon-wrapper {
  position: relative;
}

.social-icons {
  justify-self: end;
  display: flex;
  gap: 1.2rem;
  align-items: center;
}

.rights {
  text-align: end;
  color: cf.$primary-lightgray;
}

@media (max-width: 1000px) {
  .footer {
    padding: 4.8rem 0 3.2rem;
  }
  .footer-wrapper {
    grid-template-columns: 1fr;
    justify-items: center;
    gap: 1.2rem;
    text-align: center;
  }
  .logo {
    align-self: center;
  }
  .social-icons {
    justify-self: center;
    align-self: end;
    grid-row: 3 / 4;
  }
  .nav-links {
    padding: 1rem 0 2rem;
  }
  .rights {
    text-align: center;
  }
}
